package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdSchemasDTO implements Serializable {

    private static final long serialVersionUID = 417618758874235L;

    private Integer id;

    private String name;

    private Character type;

    private String characterSet;

    private String versionTag;

    private String nativeSql;

    private String nativeKey;

    private String comments;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer catalogIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public Character getType() {
    return type;
    }

        public void setType(Character type) {
    this.type = type;
    }

        public String getCharacterSet() {
    return characterSet;
    }

        public void setCharacterSet(String characterSet) {
    this.characterSet = characterSet;
    }

        public String getVersionTag() {
    return versionTag;
    }

        public void setVersionTag(String versionTag) {
    this.versionTag = versionTag;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getCatalogIdFk() {
    return catalogIdFk;
    }

        public void setCatalogIdFk(Integer catalogIdFk) {
    this.catalogIdFk = catalogIdFk;
    }

}